Description: Python 3.11: Remove U mode when opening files
Author: Thomas Goirand <zigo@debian.org>
Bug-Debian: https://bugs.debian.org/1028139
Forwarded: no
Last-Update: 2023-01-09

--- q-text-as-data-3.1.6.orig/bin/q.py
+++ q-text-as-data-3.1.6/bin/q.py
@@ -1403,10 +1403,7 @@ class DelimitedFileReader(object):
                 f = gzip.open(filename,mode='rt',encoding=self.input_params.input_encoding)
             else:
                 if six.PY3:
-                    if self.input_params.with_universal_newlines:
-                        f = io.open(filename, 'rU', newline=None, encoding=self.input_params.input_encoding)
-                    else:
-                        f = io.open(filename, 'r', newline=None, encoding=self.input_params.input_encoding)
+                    f = io.open(filename, 'r', newline=None, encoding=self.input_params.input_encoding)
                 else:
                     if self.input_params.with_universal_newlines:
                         file_opening_mode = 'rbU'
